Page MenuHomePhabricator

VisualEditor page options menu goes off-screen in RTL wikis
Closed, ResolvedPublic8 Estimate Story Points

Description

The Page options menu, which appears when the "hamburger" button is clicked, goes off-screen in RTL wikis.

Screenshot with wrong display in Hebrew:
https://commons.wikimedia.org/wiki/File:VisualEditorBug2a.png

Screenshot with correct display in English:
https://commons.wikimedia.org/wiki/File:VisualEditorBug2b.png

(I have a vague recollection that I reported it once, but I cannot find it now. If somebody does find it, please mark this one as a dupe.)

Event Timeline

Amire80 created this task.Dec 2 2014, 2:48 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added projects: VisualEditor, I18n.
Amire80 changed Security from none to None.
Jdforrester-WMF triaged this task as High priority.Dec 2 2014, 6:43 PM

Change 179565 had a related patch set uploaded (by Amire80):
Add noflip to oo-ui-popupToolGroup-left and -right

https://gerrit.wikimedia.org/r/179565

Patch-For-Review

Setting appropriate left and right values for oo-ui-popupToolGroup-left and oo-ui-popupToolGroup-right by adding noflip seems to fix the issue, but because I'm not an experienced oojs-ui dev, this needs review.

For now I fixed this locally in he.wikipedia by adding:

.oo-ui-popupToolGroup-left > .oo-ui-toolGroup-tools {
	left: 0;
	right: auto;
}
matmarex added a subscriber: matmarex.

The real issue is that ClippableElement doesn't handle clipping with the left edge of browser window, only with the right edge.

Change 179581 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] ClippableElement: Handle clipping with left edge

https://gerrit.wikimedia.org/r/179581

Patch-For-Review

Change 179565 abandoned by Amire80:
Add noflip to oo-ui-popupToolGroup-left and -right

Reason:
Done better in I0c2d9800a1c0bdbe523c978307546ec205202681 .

https://gerrit.wikimedia.org/r/179565

matmarex claimed this task.Dec 14 2014, 5:18 PM
matmarex moved this task from Backlog to Next-up on the OOUI board.Dec 14 2014, 7:18 PM

Change 179581 merged by jenkins-bot:
ClippableElement: Handle clipping with left edge

https://gerrit.wikimedia.org/r/179581

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Dec 16 2014, 8:50 PM
Jdforrester-WMF edited a custom field.Feb 2 2015, 7:48 PM
Jdforrester-WMF moved this task from Next-up to Reviewing on the OOUI board.Mar 26 2015, 8:56 PM
matmarex updated the task description. (Show Details)May 24 2015, 11:42 AM

My fix for this caused part of T98506.